SequenceFileAsBinaryInputFormat (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class SequenceFileAsBinaryInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<BytesWritable,BytesWritable>
                  org.apache.hadoop.mapreduce.lib.input.SequenceFileAsBinaryInputFormat

    public class SequenceFileAsBinaryInputFormat

extends SequenceFileInputFormat<BytesWritable,BytesWritable>

InputFormat reading keys, values from SequenceFiles in binary (raw) format.

Nested Class Summary
`static class` | `SequenceFileAsBinaryInputFormat.SequenceFileAsBinaryRecordReader` Read records from a SequenceFile as binary (raw) bytes.

Constructor Summary
`SequenceFileAsBinaryInputFormat()`

Method Summary
`RecordReader<BytesWritable,BytesWritable>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat
`getFormatMinSplitSize, listStatus`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileAsBinaryInputFormat

    public SequenceFileAsBinaryInputFormat()

Method Detail

### createRecordReader

    public RecordReader<BytesWritable,BytesWritable> createRecordReader(InputSplit split,
                                                                        TaskAttemptContext context)
                                                                 throws IOException

  Description copied from class: `InputFormat`
  Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.

  Overrides:
    `createRecordReader` in class `SequenceFileInputFormat<BytesWritable,BytesWritable>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation